function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Fragment } from 'react';
import Button, { typeOptions } from './index';

var Customize = function (_React$Component) {
  _inherits(Customize, _React$Component);

  function Customize() {
    var _temp, _this, _ret;

    _classCallCheck(this, Customize);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, _React$Component.call.apply(_React$Component, [this].concat(args))), _this), _this.state = {
      colors: typeOptions.color,
      sizes: typeOptions.size,
      colorDefault: 'primary',
      sizeDefault: 'sm'
    }, _this.setColor = function (_ref) {
      var target = _ref.target;
      return _this.setState({ colorDefault: target.value });
    }, _this.setSize = function (_ref2) {
      var target = _ref2.target;
      return _this.setState({ sizeDefault: target.value });
    }, _this.renderDropdown = function (value, idx) {
      return React.createElement(
        'option',
        { key: idx, value: value },
        value
      );
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  Customize.prototype.render = function render() {
    var _state = this.state,
        colors = _state.colors,
        sizes = _state.sizes,
        colorDefault = _state.colorDefault,
        sizeDefault = _state.sizeDefault;

    return React.createElement(
      Fragment,
      null,
      React.createElement(
        'select',
        { onChange: this.setColor },
        colors.map(this.renderDropdown)
      ),
      React.createElement(
        'select',
        { onChange: this.setSize },
        sizes.map(this.renderDropdown)
      ),
      React.createElement('hr', null),
      React.createElement(
        Button,
        { color: colorDefault, size: sizeDefault },
        'Customize'
      )
    );
  };

  return Customize;
}(React.Component);

export default Customize;