function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import { Button as RsButton } from 'reactstrap';

var Button = function Button(_ref) {
  var children = _ref.children,
      props = _objectWithoutProperties(_ref, ['children']);

  return React.createElement(
    RsButton,
    props,
    children
  );
};

export var typeOptions = {
  color: ['primary', 'secondary', 'success', 'info', 'warning', 'danger'],
  size: ['sm', 'md', 'lg']
};

Button.propTypes = process.env.NODE_ENV !== "production" ? {
  color: PropTypes.oneOf(typeOptions.color),
  size: PropTypes.oneOf(typeOptions.size),
  children: PropTypes.node.isRequired,
  tag: PropTypes.oneOfType([PropTypes.func, PropTypes.string]),
  innerRef: PropTypes.oneOfType([PropTypes.func, PropTypes.string]),
  onClick: PropTypes.func,
  active: PropTypes.bool,
  block: PropTypes.bool,
  disabled: PropTypes.bool
} : {};

export default Button;